# Python imports

# Lib imports

# Application imports
from .lsp_controller_events import LSPControllerEvents
from libs.dto.lsp_message_structs import ClientRequest, ClientNotification



class LSPControllerBase(LSPControllerEvents):
    def _send_message(self, data: ClientRequest or ClientNotification):
        raise NotImplementedError

    def start_lsp(self):
        raise NotImplementedError

    def stop_lsp(self):
        raise NotImplementedError
